<h2 ng-if="!isNew">Galerie "{{$ctrl.gallery.name}}"&nbsp;<span style="font-size:0.8em;font-weight:100;"
                                                               ng-if="$ctrl.modelChanged"><md-icon style="color:red;"
                                                                                                   md-font-icon="material-icons">warning</md-icon>&nbsp;neuložené změny!</span>
</h2>
<h2 ng-if="isNew">Nová galerie&nbsp;<span style="font-size:0.8em;font-weight:100;" ng-if="$ctrl.modelChanged"><md-icon
        style="color:red;" md-font-icon="material-icons">warning</md-icon>&nbsp;neuložené změny!</span></h2>
<form name="galleryForm" class="editArticleDialog">
    <div layout="row">
        <md-input-container class="md-block" flex-gt-sm>
            <label>Název galerie</label>
            <input ng-model="$ctrl.gallery.name">
        </md-input-container>
    </div>
    <div layout="row">
        <md-switch ng-model="$ctrl.gallery.active" aria-label="Aktvni">
            {{$ctrl.getActiveLabel()}}
        </md-switch>
    </div>
    <div layout="row" flex="auto">
        <p>
            <b>Zobrazení</b>
        </p>
    </div>
    <div layout="row">
        <md-switch ng-model="$ctrl.gallery.show_plant_category" aria-label="Zobrazovat kategorie u rostlin">
            Zobrazovat kategorii u rostlin
        </md-switch>
    </div>
    <div layout="row" layout-align="start center">
        <span style="padding-right:5px;">Řadit rostliny podle latinského jména:</span>
        <md-select ng-model="$ctrl.gallery.sort_plants_order">
            <md-option value="asc">A-Z</md-option>
            <md-option value="desc">Z-A</md-option>
        </md-select>
    </div>
    <div layout="row">
        <span style="padding-right:10px;">
            <md-switch ng-model="$ctrl.gallery.sort_by_category" aria-label="Zobrazovat kategorie u rostlin">
                Třídit podle kategorií
            </md-switch>
        </span>
        <span ng-if="$ctrl.gallery.sort_by_category===true">
            <md-switch ng-model="$ctrl.gallery.show_category_headings" aria-label="Zobrazovat nadpisy kategorií">
                Zobrazovat nadpisy ketegorií
            </md-switch>
        </span>
    </div>
    <div ng-if="$ctrl.gallery.sort_by_category===true" layout="row" layout-align="start center">
        <span style="padding-right:5px;">Řadit kategorie podle jména:</span>
        <md-select ng-model="$ctrl.gallery.sort_categories_order">
            <md-option value="asc">A-Z</md-option>
            <md-option value="desc">Z-A</md-option>
        </md-select>
    </div>
    <div layout="row" flex="auto">
        <p>
            <b>Filtr</b>
        </p>
    </div>
    <div layout="row" flex="auto" ng-if="$ctrl.gallery.filter.tags && $ctrl.gallery.filter.tags.length > 0">
        <span style="display: flex;align-items: center;">Tagy&nbsp;&nbsp;&nbsp;&nbsp;</span>
        <div>
            <div class="existing-tag-chip" ng-repeat="item in $ctrl.gallery.filter.tags">{{$ctrl.tags[item]}}</div>
        </div>
    </div>
    <div layout="row" flex="auto" ng-if="$ctrl.gallery.filter.categories && $ctrl.gallery.filter.categories.length > 0">
        <md-input-container disabled class="md-block" flex="auto">
            <label>Kategorie</label>
            <md-select ng-change="$ctrl.onFilterChange()" ng-model="$ctrl.gallery.filter.categories[0]">
                <md-option ng-repeat="category in $ctrl.categories" value="{{category.id}}">
                    {{category.name}}
                </md-option>
            </md-select>
        </md-input-container>
    </div>
    <br/>
    <div layout="row">
        <span>Aktuálně obsahuje {{$ctrl.getPlantsCount()}} obrázku</span>
    </div>
    <div layout="row">
        <h3>Náhledy</h3>
    </div>
    <div ng-if="$ctrl.loading">Načítám...</div>
    <div ng-if="!$ctrl.loading" layout="row" class="gallery-images">
        <md-grid-list
                md-cols="1" md-cols-sm="2" md-cols-md="3" md-cols-gt-md="4" md-row-height="420px"
                md-gutter="4px" md-gutter-gt-sm="4px">

            <md-grid-tile ng-repeat="plant in $ctrl.previewPlants | plantSorter:'class'"
                          md-rowspan="1"
                          md-colspan="1"
                          md-colspan-sm="1"
                          md-colspan-xs="1">
                <md-card ng-click="" ng-style="$ctrl.getCardStyle(plant)">
                    <md-card-title>
                        <md-card-title-text>
                            <span class="md-headline">{{$ctrl.getPlantName(plant)}}</span>
                            <span class="md-subhead">{{$ctrl.getSubTitle(plant)}}</span>
                        </md-card-title-text>
                    </md-card-title>
                    <md-card-content style="position: relative;" layout="row" layout-align="space-between">
                        <img ng-src="{{$ctrl.getImageUrl(plant)}}" class="image-preview">
                        <span title="Obrazek byl nastaveny manualne" class="preview-image-overriden"
                              ng-if="$ctrl.getImageOverride(plant)"><i
                                class="material-icons">error</i></span>
                        <span class="preview-image-total-images"
                              ng-if="$ctrl.hasMoreTahnOneImage(plant)">{{$ctrl.getImagesCount(plant)}}</span>
                    </md-card-content>
                    <md-card-actions>
                        <div layout="row" flex="100">
                            <md-checkbox flex="auto" ng-change="$ctrl.onStickyChange()"
                                         ng-model="$ctrl.stickyPlants[plant.id]"
                                         aria-label="Checkbox 1">
                                Vždy nahoře
                            </md-checkbox>
                            <md-button flex="init" class="md-icon-button" aria-label="More"
                                       ng-click="$ctrl.openPlantSettings(plant, $event)">
                                <md-icon md-font-icon="material-icons">mode_edit</md-icon>
                            </md-button>
                            <md-button flex="init" class="md-icon-button" aria-label="More"
                                       ng-click="$ctrl.openPlantQuickEdit(plant, $event)">
                                <md-icon md-font-icon="material-icons">book</md-icon>
                            </md-button>
                        </div>
                    </md-card-actions>
                </md-card>
            </md-grid-tile>
        </md-grid-list>
    </div>
    <br/>
    <br/>
    <div class="floating-bottom-action-buttons-bar">
        <div layout="row">
            <span flex="init" style="padding-left: 10px;" layout-align="left center" layout="row">
                <div style="color: blue;" ng-if="$ctrl.modelChanged"><md-icon style="color:red;"
                                                                              md-font-icon="material-icons">warning</md-icon>&nbsp;neuložené změny!</div>
            </span>
            <span flex></span>
            <md-button ng-click="$ctrl.saveAndClose()"
                       ng-disabled="galleryForm.$invalid || $ctrl.saving || !$ctrl.gallery.name"
                       md-autofocus>
                {{$ctrl.getSaveAndCloseLabel()}}
            </md-button>
            <md-button ng-click="$ctrl.save()" ng-disabled="galleryForm.$invalid || $ctrl.saving || !$ctrl.gallery.name"
                       md-autofocus>
                {{$ctrl.getSaveLabel()}}
            </md-button>
            <md-button ng-click="cancel()" style="margin-right:20px;">
                Zrušit
            </md-button>
        </div>
    </div>
    <br/>
    <br/>
</form>